/**
 * @file test_dma.cpp
 * @brief Unit tests for DMA wrapper component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "dma.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_dma_initialize(void)
{
    Dma dma;
    DmaConfig config = {64, 1024};
    bool result = dma.initialize(DmaChannel::CHANNEL_0, config);
    TEST_ASSERT_TRUE(result);
}

} // extern "C"

